您的当前位置:首页>全部文章>文章详情

Xshell提示 “要继续使用此程序,您必须应用最新的更新或使用新版本”

发表于:2021-12-16 15:15:19浏览:1489次TAG: #xshell

Xshell是一款功能强大的终端模拟器,支持SSh2,SSh3,SFTP,TELNET,RLOGIN和SERIAL,通过提供业界先进的性能,Xshell 包含了其他SSH客户端无法发现的功能和优势。程序员在开发的时候链接服务器等主机的时候一般都用到,Xshell有免费的个人版本和教育版本的,但是xshell在使用的过程中,会经常需要去更新,不更新有时候就xshell打不开了,如果你哪天碰到Xshell 提示 “要继续使用此程序,您必须应用最新的更新或使用新版本”,你就要更新版本了,或者用下面的方法可以继续使用。

1.jpg

解决办法

 使用二进制编辑器修改nslicense.dll文件,文件位置:xshell 安装根目录下。


1.jpg

具体步骤

 步骤1:下载UltraEdit编辑器

 步骤2:使用UltraEdit编辑器打开nslicense.dll文件

1.jpg

步骤3:搜索“7F 0C 81 F9 80 33 E1 01 0F 86 81”

步骤4:修改“86”为“83” (修改前记得先备份一个该文件)

步骤5:保存文件。如果提示不能修改,请把文件设置为可写权限,再保存就行。

重新打开xshell发现已经可以使用了。

如果是xshell 5,步骤3搜索“7F 0C 81 F9 80 33 E1 01 0F 86 80”


还有一个应急方法就是修改系统右下角时间为去年的时间,也可以打开的。但是这个方法应急可以,最好就是按照上面的方法,或者下载最新版本才解决方案。